Package org.optaplanner.benchmark.impl.result

## Class PlannerBenchmarkResult

- java.lang.Object
- - org.optaplanner.benchmark.impl.result.PlannerBenchmarkResult

-     public class PlannerBenchmarkResult
      extends Object

  Represents the benchmarks on multiple `Solver` configurations on multiple problem instances (data sets).

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PlannerBenchmarkResult()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accumulateResults​(BenchmarkReport benchmarkReport)` |
    `static PlannerBenchmarkResult` | `createMergedResult​(List<SingleBenchmarkResult> singleBenchmarkResultList)` |
    `protected static PlannerBenchmarkResult` | `createMergeSingleton​(List<SingleBenchmarkResult> singleBenchmarkResultList)` |
    `static PlannerBenchmarkResult` | `createUnmarshallingFailedResult​(String benchmarkReportDirectoryName)` |
    `String` | `findScoreLevelLabel​(int scoreLevel)` |
    `Boolean` | `getAggregation()` |
    `Integer` | `getAvailableProcessors()` |
    `Long` | `getAverageProblemScale()` |
    `Score` | `getAverageScore()` |
    `File` | `getBenchmarkReportDirectory()` |
    `Long` | `getBenchmarkTimeMillisSpent()` |
    `EnvironmentMode` | `getEnvironmentMode()` |
    `Integer` | `getFailureCount()` |
    `SolverBenchmarkResult` | `getFavoriteSolverBenchmarkResult()` |
    `String` | `getJavaVersion()` |
    `String` | `getJavaVM()` |
    `String` | `getLoggingLevelDroolsCore()` |
    `String` | `getLoggingLevelOptaPlannerCore()` |
    `int` | `getMaximumSubSingleCount()` |
    `Long` | `getMaxMemory()` |
    `String` | `getName()` |
    `String` | `getOperatingSystem()` |
    `String` | `getOptaPlannerVersion()` |
    `Integer` | `getParallelBenchmarkCount()` |
    `List<SolverBenchmarkResult>` | `getSolverBenchmarkResultList()` |
    `OffsetDateTime` | `getStartingTimestamp()` |
    `String` | `getStartingTimestampAsMediumString()` |
    `int` | `getTotalSubSingleCount()` |
    `List<ProblemBenchmarkResult>` | `getUnifiedProblemBenchmarkResultList()` |
    `Long` | `getWarmUpTimeMillisSpentLimit()` |
    `boolean` | `hasAnyFailure()` |
    `boolean` | `hasMultipleParallelBenchmarks()` |
    `void` | `initBenchmarkReportDirectory​(File benchmarkDirectory)` |
    `void` | `initSystemProperties()` |
    `void` | `setAggregation​(Boolean aggregation)` |
    `void` | `setBenchmarkReportDirectory​(File benchmarkReportDirectory)` |
    `void` | `setBenchmarkTimeMillisSpent​(Long benchmarkTimeMillisSpent)` |
    `void` | `setName​(String name)` |
    `void` | `setParallelBenchmarkCount​(Integer parallelBenchmarkCount)` |
    `void` | `setSolverBenchmarkResultList​(List<SolverBenchmarkResult> solverBenchmarkResultList)` |
    `void` | `setStartingTimestamp​(OffsetDateTime startingTimestamp)` |
    `void` | `setUnifiedProblemBenchmarkResultList​(List<ProblemBenchmarkResult> unifiedProblemBenchmarkResultList)` |
    `void` | `setWarmUpTimeMillisSpentLimit​(Long warmUpTimeMillisSpentLimit)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PlannerBenchmarkResult

          public PlannerBenchmarkResult()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getAggregation

          public Boolean getAggregation()

    - #### setAggregation

          public void setAggregation​(Boolean aggregation)

    - #### getBenchmarkReportDirectory

          public File getBenchmarkReportDirectory()

    - #### setBenchmarkReportDirectory

          public void setBenchmarkReportDirectory​(File benchmarkReportDirectory)

    - #### getAvailableProcessors

          public Integer getAvailableProcessors()

    - #### getLoggingLevelOptaPlannerCore

          public String getLoggingLevelOptaPlannerCore()

    - #### getLoggingLevelDroolsCore

          public String getLoggingLevelDroolsCore()

    - #### getMaxMemory

          public Long getMaxMemory()

    - #### getJavaVersion

          public String getJavaVersion()

    - #### getJavaVM

          public String getJavaVM()

    - #### getOperatingSystem

          public String getOperatingSystem()

    - #### getOptaPlannerVersion

          public String getOptaPlannerVersion()

    - #### getParallelBenchmarkCount

          public Integer getParallelBenchmarkCount()

    - #### setParallelBenchmarkCount

          public void setParallelBenchmarkCount​(Integer parallelBenchmarkCount)

    - #### getWarmUpTimeMillisSpentLimit

          public Long getWarmUpTimeMillisSpentLimit()

    - #### setWarmUpTimeMillisSpentLimit

          public void setWarmUpTimeMillisSpentLimit​(Long warmUpTimeMillisSpentLimit)

    - #### getEnvironmentMode

          public EnvironmentMode getEnvironmentMode()

    - #### getSolverBenchmarkResultList

          public List<SolverBenchmarkResult> getSolverBenchmarkResultList()

    - #### setSolverBenchmarkResultList

          public void setSolverBenchmarkResultList​(List<SolverBenchmarkResult> solverBenchmarkResultList)

    - #### getUnifiedProblemBenchmarkResultList

          public List<ProblemBenchmarkResult> getUnifiedProblemBenchmarkResultList()

    - #### setUnifiedProblemBenchmarkResultList

          public void setUnifiedProblemBenchmarkResultList​(List<ProblemBenchmarkResult> unifiedProblemBenchmarkResultList)

    - #### getStartingTimestamp

          public OffsetDateTime getStartingTimestamp()

    - #### setStartingTimestamp

          public void setStartingTimestamp​(OffsetDateTime startingTimestamp)

    - #### getBenchmarkTimeMillisSpent

          public Long getBenchmarkTimeMillisSpent()

    - #### setBenchmarkTimeMillisSpent

          public void setBenchmarkTimeMillisSpent​(Long benchmarkTimeMillisSpent)

    - #### getFailureCount

          public Integer getFailureCount()

    - #### getAverageProblemScale

          public Long getAverageProblemScale()

    - #### getAverageScore

          public Score getAverageScore()

    - #### getFavoriteSolverBenchmarkResult

          public SolverBenchmarkResult getFavoriteSolverBenchmarkResult()

    - #### hasMultipleParallelBenchmarks

          public boolean hasMultipleParallelBenchmarks()

    - #### hasAnyFailure

          public boolean hasAnyFailure()

    - #### getMaximumSubSingleCount

          public int getMaximumSubSingleCount()

    - #### findScoreLevelLabel

          public String findScoreLevelLabel​(int scoreLevel)

    - #### getStartingTimestampAsMediumString

          public String getStartingTimestampAsMediumString()

    - #### initBenchmarkReportDirectory

          public void initBenchmarkReportDirectory​(File benchmarkDirectory)

    - #### initSystemProperties

          public void initSystemProperties()

    - #### getTotalSubSingleCount

          public int getTotalSubSingleCount()

    - #### accumulateResults

          public void accumulateResults​(BenchmarkReport benchmarkReport)

    - #### createMergedResult

          public static PlannerBenchmarkResult createMergedResult​(List<SingleBenchmarkResult> singleBenchmarkResultList)

    - #### createMergeSingleton

          protected static PlannerBenchmarkResult createMergeSingleton​(List<SingleBenchmarkResult> singleBenchmarkResultList)

    - #### createUnmarshallingFailedResult

          public static PlannerBenchmarkResult createUnmarshallingFailedResult​(String benchmarkReportDirectoryName)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`